HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostOrdersIdSubmit

Contains the different functions to run the operation postOrdersIdSubmit

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostOrdersIdSubmit.hs
valuepostOrdersIdSubmit
  1. :: MonadHTTP m
  2. => Text

    id | Constraints: Maximum length of 5000

  3. -> PostOrdersIdSubmitRequestBody

    The request body to send

  4. -> ClientT m (Response PostOrdersIdSubmitResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/orders/{id}/submit

<p>Submitting an Order transitions the status to <code>processing</code> and creates a PaymentIntent object so the order can be paid. If the Order has an <code>amount_total</code> of 0, no PaymentIntent object will be created. Once the order is submitted, its contents cannot be changed, unless the <a href="#reopen_order">reopen</a> method is called.</p>

Defines the object schema located at paths./v1/orders/{id}/submit.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postOrdersIdSubmit.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostOrdersIdSubmitResponseError is used.

Constructors

Instances2Eq, Show